Search processing.org:

Reference for Processing version 1.0+. If you have a previous version, use the reference included with your software. If you see any errors or have any comments, let us know.

Class | PShape

Name

### rotateZ()

Examples

    PShape s;

    void setup() {
      size(100, 100, P3D);
      s = loadShape("ohio.svg");
    }

    void draw() {
      background(204);
      shape(s);
    }

    void mousePressed() {
      // Rotate the shape around the z-axis each time the mouse is pressed
      s.rotateZ(0.1);
    }

Description

Rotates a shape around the z-axis the amount specified by the angle parameter. Angles should be specified in radians (values from 0 to TWO_PI) or converted to radians with the radians() method.
Shapes are always rotated around the upper-left corner of their bounding box. Positive numbers rotate objects in a clockwise direction. Subsequent calls to the method accumulates the effect. For example, calling rotateZ(HALF_PI) and then rotateZ(HALF_PI) is the same as rotateZ(PI). This transformation is applied directly to the shape, it's not refreshed each time draw() is run.
This method requires a 3D renderer. You need to pass P3D or OPENGL as a third parameter into the size() method as shown in the example above.

Syntax

    sh.rotateZ(angle)

Parameters

sh | PShape: any variable of type PShape
angle | float: angle of rotation specified in radians

Returns | none
Usage | Web & Application

Updated on November 22, 2008 08:39:25pm PST